Bug 2462 - smbd/chgpasswd.c: &pwHisLen and &curr_pwHisLen incompatible with "int *"
smbd/chgpasswd.c: &pwHisLen and &curr_pwHisLen incompatible with "int *"
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.11
SGI IRIX
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 11:35 UTC by Jason Mader
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-03-16 11:35:31 UTC
Samba 3.0.12rc1

Compiling smbd/chgpasswd.c
cc-1164 cc: WARNING File = smbd/chgpasswd.c, Line = 948
  Argument of type "int *" is incompatible with parameter of type
          "unsigned int *".

        account_policy_get(AP_PASSWORD_HISTORY, &pwHisLen);
                                                ^

cc-1164 cc: WARNING File = smbd/chgpasswd.c, Line = 953
  Argument of type "int *" is incompatible with parameter of type
          "unsigned int *".

        pwhistory = pdb_get_pw_history(sampass, &curr_pwHisLen);
                                                ^
Comment 1 Jason Mader 2005-03-16 11:38:44 UTC
Changing both variable types to "unsigned int" on Line 946 eliminates this
compiler warning.

Also, an observation, the variable names seem quite close to "pwHistLen" and
"curr_pwHistLen" used elsewhere in Samba; it might be appropriate to normalize
the use of the variable name.
Comment 2 Gerald (Jerry) Carter 2005-03-22 10:17:01 UTC
someone already fixed this.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:16:48 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.